Endpoint
Authentication
Bearer token required.Path Parameters
The webhook’s unique ID.
Response
The webhook object (without the
secret field). See WebhookRegistrationPublic.Example
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
CollabKit is currently in Beta. APIs and features may change.
Get details for a specific webhook.
GET /v1/accounts/:accountId/webhooks/:id
secret field). See WebhookRegistrationPublic.curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/webhooks/wh_abc123" \
-H "Authorization: Bearer ${TOKEN}"
const res = await fetch(`https://api.collab-kit.com/v1/accounts/${accountId}/webhooks/wh_abc123`, {
headers: { 'Authorization': `Bearer ${token}` },
});
const { data } = await res.json();
{
"type": "response",
"success": true,
"description": "Webhook retrieved",
"data": {
"webhook": {
"id": "wh_abc123",
"organization_id": "a1b2c3d4-...",
"url": "https://api.example.com/collab-webhook",
"events": ["participant.joined", "participant.left"],
"room_id": null,
"enabled": true,
"created_at": "2026-05-29T10:00:00.000Z",
"updated_at": "2026-05-29T10:00:00.000Z"
}
},
"error": null
}